grml2usb (0.20.11) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * [e4a233f] grml2usb: apply black 26.1.0
  * [849f303] grml2usb: fix typo in comment
  * [7848bd7] grml2usb: follow glob1 deprecation
  * [baec39a] grml2usb: correctly pass a bool to fineput.input inplace argument
  * [c8b72c4] grml2usb: do not pre-format logging format strings
  * [288f5ed] grml2usb: remove obsolete utf-8 encoding declaration
  * [1fa9eb6] test: remove unused argparse import
  * [c3fafa9] Replace black, isort, flake8 with ruff
  * [cd6693a] pyproject.toml: require pyparted only on linux
  * [d1930bb] grml2usb: inline get_partition_for_path back into check_boot_flag
  * [3ba43f6] grml2usb: use f-strings where trivially possible
  * [16ec2e9] grml2usb: show device name in mkfs question
  * [a5a34e8] grml2usb: lowercase local variable in handle_logging
  * [2a7822c] grml2usb: replace depreated IOError name
  * [8316e09] grml2usb: extract prompting for y/n into helper function
  * [c9c8d08] grml2usb: simplify the "which" helper function
  * [b65f072] grml2usb: remove unused argument to "unmount"
  * [2b8a680] grml2usb: "mkdir": use exist_ok available since Python 3.2
  * [4e54562] grml2usb: simplify "write_uuid"
  * [b035c38] grml2usb: simplify "get_target_bootid"
  * [2f13c5d] grml2usb: simplify "build_loopbackcfg"
  * [5843648] grml2usb: simplify "initial_syslinux_config"
  * [e6cbcf2] grml2usb: "add_entry_if_not_present": use with open instead of
    f.close()
  * [bb8bb57] grml2usb: "add_syslinux_entry": explicitly pass syslinux_target
    instead of reconstructing it
  * [c3f36c3] grml2usb: "handle_syslinux_config": use with open instead of
    f.close()
  * [90698dc] grml2usb: "check_uid_root": simplify check condition
  * [41a1845] grml2usb: "get_bootoptions": swap if branches
  * [a8ab92c] grml2usb: "check_options": swap if branches
  * [534c9fa] grml2usb: "main": merge nested if
  * [f066417] grml2usb: use run_program to replace log + subprocess pattern
  * [ee9005b] grml2usb: check_for_fat: handle exit code 2 from blkid
  * [08225ab] grml2usb: check_for_fat: make try block smaller
  * [745e52b] grml2usb: "handle_secure_boot": remove duplicated mount debug
    log
  * [87030b3] grml2usb: "mount": stop passing "" as "no options"

 -- Chris Hofstaedtler <ch@grml.org>  Thu, 12 Feb 2026 23:08:57 +0100

grml2usb (0.20.10) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * [e903f89] Enable dependabot for GitHub Actions
  * [8cf171e] Replace GitHub workflows
  * [1e2562c] Rename asciidoc files to *.adoc
  * [1b073fb] Add README.md

 -- Chris Hofstaedtler <ch@grml.org>  Mon, 03 Nov 2025 12:54:33 +0100

grml2usb (0.20.9) unstable; urgency=medium

  * [99d1520] d/copyright: Remove old FSF address

 -- Chris Hofstaedtler <ch@grml.org>  Tue, 26 Aug 2025 20:02:33 +0200

grml2usb (0.20.8) unstable; urgency=medium

  * [bc49898] Stop mentioning specific addons
  * [23bf0c7] Remove support for kernels named linux26
  * [886a630] Remove grub1 details
  * [8d83006] Remove disabled doc part about --squashfs
  * [cb53e5a] Remove syslinux < 4.0 specifics
  * [17726f0] Update grml ISO in examples

 -- Chris Hofstaedtler <ch@grml.org>  Sun, 17 Aug 2025 12:34:08 +0200

grml2usb (0.20.7) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * [2722899] GHA CI: revert back to ubuntu-latest

  [ Christopher Bock ]
  * [e218516] grml2usb.8: cleanup link, add wiki link for persistence
  * [9afefbb] replace fat16 command with format

 -- Michael Prokop <mika@grml.org>  Fri, 15 Aug 2025 12:05:26 +0200

grml2usb (0.20.6) unstable; urgency=medium

  * [669ff7b] doc: remove backslashes from options
  * [2a47e65] doc/Makefile: remove scp leftovers
  * [2a9b458] Makefile: remove scp leftovers
  * [e5bea18] python: apply current black style

 -- Chris Hofstaedtler <ch@grml.org>  Tue, 04 Mar 2025 23:25:48 +0100

grml2usb (0.20.5) unstable; urgency=medium

  * [804d407] Fix updating bootid for isolinux installs

 -- Chris Hofstaedtler <ch@grml.org>  Thu, 19 Dec 2024 17:31:56 +0100

grml2usb (0.20.4) unstable; urgency=medium

  * [7538f7b] Fix crash: expected str, bytes or os.PathLike object, not list
  * [f087d75] Add smoke test
  * [026d659] Make blockdev --rereadpt optional
  * [4cbd342] Introduce automatic bootloader selection

 -- Chris Hofstaedtler <ch@grml.org>  Thu, 19 Dec 2024 02:00:26 +0100

grml2usb (0.20.3) unstable; urgency=medium

  * [2163d31] migrate from optparse to argparse
  * [966c17b] fix missed execution of function
  * [a29b826] remove upgrade path from 15 years ago
  * [d3339d2] doc: remove isohybrid hint

 -- Chris Hofstaedtler <ch@grml.org>  Sat, 07 Dec 2024 16:08:26 +0100

grml2usb (0.20.2) unstable; urgency=medium

  [ Michael Prokop ]
  * [4141028] Add debian/gbp.conf to set expected debian tag + dch
    settings

  [ Chris Hofstaedtler ]
  * [b344d41] Add .github/FUNDING.yml
  * [257aee3] Copy bootaa64.efi if available (#56)

 -- Michael Prokop <mika@grml.org>  Sat, 23 Nov 2024 13:50:29 +0100

grml2usb (0.20.1) unstable; urgency=medium

  [ crpb ]
  * debian: update Vcs-Git and Vcs-Browser

  [ Chris Hofstaedtler ]
  * Loosen dependency on grub2.
    Avoid pulling in non-UEFI grub on amd64, if UEFI grub is already
    installed. Also necessary to allow installing on arm64.

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 08 Nov 2024 18:09:18 +0100

grml2usb (0.20.0) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * [8143af6] Use nasm to assemble mbr
  * [bb80820] debian: make grml2usb package Architecture: all
  * [e055635] debian: Do not run codecheck

 -- Michael Prokop <mika@grml.org>  Sat, 19 Oct 2024 17:23:30 +0200

grml2usb (0.19.3) unstable; urgency=medium

  [ Michael Prokop ]
  * [5f40f1c] grml2usb docs: drop references to deprecated grml-medium

  [ Chris Hofstaedtler ]
  * [418f5db] Add GitHub Actions workflow to build grml2usb.deb
  * [8c841fe] d/control: Capitalize Vcs-Git
  * [60f4229] d/control: Update my name
  * [ca3f02c] d/control: set Rules-Requires-Root: no
  * [8926abb] d/control: uppercase USB in description

 -- Michael Prokop <mika@grml.org>  Fri, 06 Sep 2024 17:39:48 +0200

grml2usb (0.19.2) unstable; urgency=medium

  * [2955aaf] codecheck: reformat with black, version 23.1.0
    (Closes: #1031466)

 -- Michael Prokop <mika@grml.org>  Mon, 20 Feb 2023 11:33:34 +0100

grml2usb (0.19.1) unstable; urgency=medium

  * [27eba4a] Replace egrep usage with grep -E
  * [ec28a50] Bump Standards-Version to 4.6.2

 -- Michael Prokop <mika@grml.org>  Wed, 08 Feb 2023 08:27:50 +0100

grml2usb (0.19.0) unstable; urgency=medium

  [ Manuel Rom ]
  * [40221eb] Add Github action workflows for CI/CD

  [ Michael Prokop ]
  * [3f77679] Fix vulture usage and add vulture to Build-Depends
  * [a6cce22] Github action: do not install virtualenv +
    python3-setuptools. Thanks to Chris Hofstaedtler
  * [78ae858] grml2iso: support parallel execution
  * [8126bbf] grml2iso: execute under pipefail

 -- Michael Prokop <mika@grml.org>  Mon, 21 Mar 2022 16:19:54 +0100

grml2usb (0.18.5) unstable; urgency=medium

  * [01ed11d] Fix --grub and --syslinux handling. Thanks to Ralf Moll for
    the bugreport

 -- Michael Prokop <mika@grml.org>  Fri, 22 Jan 2021 10:32:43 +0100

grml2usb (0.18.4) unstable; urgency=medium

  [ Michael Prokop ]
  * [3664e4a] Code cleanups. Thanks to Chris Hofstaedtler for review +
    feedback
  * [1dfee7d] Use "GRML" as FAT label when creating the file system
  * [272b66e] Fix race condition with blockdev/BLKRRPART due to lack of
    fsync. Thanks to dann frazier <dannf@dannf.org> for bug report and
    patch (Closes: #975015)
  * [100a957] Bump Standards-Version to 4.5.1

  [ Darshaka Pathirana ]
  * [7656c18] Use consistent case of 'USB' and 'Grml'

  [ Manuel Rom ]
  * [6f3eb52] Add unit testing capabilities and basic tests for
    check_for_usbdevice

 -- Michael Prokop <mika@grml.org>  Fri, 27 Nov 2020 17:56:02 +0100

grml2usb (0.18.3) unstable; urgency=medium

  * [9e7dd96] codecheck: fix flake8 issues with versions >=3.8.3. Thanks
    to Florian Apolloner for feedback (Closes: #963454)
  * [ec5eec1] setup.cfg: adjust flake8 section so invoking it without
    arguments works. Thanks to Florian Apolloner
  * [92ffc08] Support Grml's new Secure Boot approach
  * [b1798d1] Do not fail if ISO doesn't have grub.cfg inside efi.img
  * [f052436] grml2iso: switch from isohybrid to xorriso/isohybrid to
    properly support EFI boot
  * [9b96f21] docs: drop no longer needed strong->bold workaround from
    asciidoc/xsltproc toolchain
  * [ded5534] docs: rework grml2iso docs, including note about order of
    ISOs

 -- Michael Prokop <mika@grml.org>  Wed, 24 Jun 2020 11:27:28 +0200

grml2usb (0.18.2) unstable; urgency=medium

  * [657b880] Skip boot flag check when installing to directory

 -- Michael Prokop <mika@grml.org>  Sat, 06 Jun 2020 15:09:37 +0200

grml2usb (0.18.1) unstable; urgency=medium

  [ Michael Prokop ]
  * [705a96b] Drop old bootflag detection + be more verbose about its
    execution. Thanks to Darshaka Pathirana for bug report and debugging
  * [aed7d83] Use "boot flag" instead of "bootflag" also in docs +
    exceptions
  * [fcf63b7] Reread partition table after installing MBR to ensure
    devices exist. Thanks to Darshaka Pathirana for debugging

  [ Darshaka Pathirana ]
  * [8b59cb0] Check for boot flag before possibly creating FAT16 on the
    partition

 -- Michael Prokop <mika@grml.org>  Wed, 03 Jun 2020 16:55:00 +0200

grml2usb (0.18.0) unstable; urgency=medium

  [ Tomáš Virtus ]
  * [25c3bf7] Fix Python 3 syntax warning (is vs ==)
  * [ed5b633] Support more Syslinux module locations
  * [f0e3c93] Fix duplicate Syslinux entries
  * [99ecee2] Add mbr/ output files to gitignore
  * [480b974] Fix duplicate Syslinux entries (2)

  [ Alexei Colin ]
  * [4d81cdb] tarball.sh: spaces in pattern for PROG_VERSION

  [ Michael Prokop ]
  * [d01d9d8] Coding style: fix pep8 + flake8 issues
  * [b188002] Coding style: execute black + isort and fix undefined 'path'
  * [f1d1ce8] codecheck: rely on flake8, isort + black during build time.
    Thanks to Florian Apolloner for the feedback
  * [31853ed] Bump Standards-Version to 4.5.0
  * [c921dc1] debian: execute `wrap-and-sort -a -t -s`
  * [1fa8aac] autopkgtests: drop python2 support and depend on python3
    only (Closes: #936663)
  * [aaaef1a] debian: switch to debhelper minimal style
  * [263374b] Get rid of docbook-xsl workaround regarding duplicate empty
    lines

 -- Michael Prokop <mika@grml.org>  Tue, 12 May 2020 17:16:34 +0200

grml2usb (0.17.0) unstable; urgency=medium

  [ Sven Joachim ]
  * [5b2ffe4] check_for_fat: Avoid comparing strings and bytes (Closes: #943838)
  * [c2e742a] check_boot_flag(): Open device in binary mode
  * [fd89485] Fix path to syslinux *.c32 files (Closes: #943845)


  [ Michael Prokop ]
  * [4d800e5] Provide git-describe based version information when running
    from within git. Thanks to Florian Apolloner for review and feedback
  * [9586781] No longer explicitly list addon files, instead copy all
    files from /boot/addons/
  * [ea3de89] check_for_fat(): use subprocess.check_output to avoid
    dependency on Python 3.7. Thanks to Florian Apolloner for review and
    feedback

 -- Michael Prokop <mika@grml.org>  Thu, 31 Oct 2019 12:00:01 +0100

grml2usb (0.16.7) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * [d3008fb] grml2usb: abort if required logo.16 file is missing
  * [6c16c88] grml2usb: print backtrace when --verbose is given
  * [3fd61a4] grml2usb: Add smoke autopkgtest for python2
  * [b2b68f0] grml2usb: add python3 test variant

  [ Michael Prokop ]
  * [66679fa] Port to py3k (Closes: #936663)
  * [29d54d4] Avoid subprocess.Popen with stdout/stderr=PIPE and wait()
    usage
  * [aaf46a1] Bump Standards-Version to 4.4.1
  * [0721603] Drop debian/compat and switch to debhelper-compat instead

 -- Michael Prokop <mika@grml.org>  Tue, 22 Oct 2019 15:18:23 +0200

grml2usb (0.16.6) unstable; urgency=medium

  * [ef2f28e] Avoid custom boot options getting duplicated when used with
    multiple ISOs. Thanks to Ralf Moll for the bug report and Lukas Prokop
    for providing the bug fix

 -- Michael Prokop <mika@grml.org>  Thu, 11 Jul 2019 17:26:16 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog grml2usb`.
